## org.eclipse.datatools.connectivity.drivers.jdbc
Interface IJDBCDriverDefinitionConstants

All Known Subinterfaces:
  IDBConnectionProfileConstants, IDBDriverDefinitionConstants, IJDBCConnectionProfileConstants, ISybaseJDBCConnectionProfileConstants

    public interface IJDBCDriverDefinitionConstants

Constant definitions for property keys used to identify DB driver definition properties.

Field Summary
`static java.lang.String` `DATABASE_CATEGORY_ID` Base category ID for DB driver definitions.
`static java.lang.String` `DATABASE_NAME_PROP_ID` Property used to store the default DB name value.
`static java.lang.String` `DATABASE_VENDOR_PROP_ID` Property used to store the DB vendor name.
`static java.lang.String` `DATABASE_VERSION_PROP_ID` Property used to store the DB version.
`static java.lang.String` `DRIVER_CLASS_PROP_ID` Property used to store the driver class name.
`static java.lang.String` `PASSWORD_PROP_ID` Property used to store the default password.
`static java.lang.String` `PROP_PREFIX` Property prefix used for property keys
`static java.lang.String` `URL_PROP_ID` Property used to store the default connection URL.
`static java.lang.String` `USERNAME_PROP_ID` Property used to store the default user name.

Field Detail

### DATABASE_CATEGORY_ID

    static final java.lang.String DATABASE_CATEGORY_ID

  Base category ID for DB driver definitions.

  See Also:
    Constant Field Values

### PROP_PREFIX

    static final java.lang.String PROP_PREFIX

  Property prefix used for property keys

  See Also:
    Constant Field Values

### DATABASE_VENDOR_PROP_ID

    static final java.lang.String DATABASE_VENDOR_PROP_ID

  Property used to store the DB vendor name. This property is used in resolving the dbdefinition referenced by the driver.

  See Also:
    Constant Field Values

### DATABASE_VERSION_PROP_ID

    static final java.lang.String DATABASE_VERSION_PROP_ID

  Property used to store the DB version. This property is used in resolving the dbdefinition referenced by the driver.

  See Also:
    Constant Field Values

### DRIVER_CLASS_PROP_ID

    static final java.lang.String DRIVER_CLASS_PROP_ID

  Property used to store the driver class name. This property is used in creating JDBC connections.

  See Also:
    Constant Field Values

### DATABASE_NAME_PROP_ID

    static final java.lang.String DATABASE_NAME_PROP_ID

  Property used to store the default DB name value. This property is used by the generic DB connection profile wizard during initialization. This property is also used by the DB connection profile.

  See Also:
    Constant Field Values

### URL_PROP_ID

    static final java.lang.String URL_PROP_ID

  Property used to store the default connection URL. This property is used the generic DB connection profile wizard during initialization. This property is also used by the DB connection profile.

  See Also:
    Constant Field Values

### USERNAME_PROP_ID

    static final java.lang.String USERNAME_PROP_ID

  Property used to store the default user name. This property is used the generic DB connection profile wizard during initialization. This property is also used by the DB connection profile.

  See Also:
    Constant Field Values

### PASSWORD_PROP_ID

    static final java.lang.String PASSWORD_PROP_ID

  Property used to store the default password. This property is used the generic DB connection profile wizard during initialization. This property is also used by the DB connection profile.

  See Also:
    Constant Field Values